$(function () {

    $('#frmNuevo').form({
    	keyboardShortcuts: false,
    	fields: {
	      	nombre: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    id_tipo_local: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
		    direccion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    telefono: {
		    	rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		        //rules: [{ type : 'integer', prompt : 'Ingrese solo números'}]
		    },
    	},
    	inline : true,

    });

    $('.btn_registrar').on('click', function() {
		if ($('#frmNuevo').form('is valid')) {
			$('#register_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show'); 
		} else {
			$('#frmNuevo').form('validate form');
		}
  	});

	function sendForm() {

	    var data = $('#frmNuevo').serialize();
        $.requestApi('/sucursal/registrar', data, 'POST', function (resolve) {
	        if (resolve) {
	            if (resolve.message === "success") {
	                $.Helper.clearFields("#frmNuevo");
	            }
	            $.showMessages(resolve);
	        }
	    });
        
        return false;
	};

});
